"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express = require("express");
const logger = require("./log");
const bodyParser = require("body-parser");
const config = require("./config");
const app = express();
app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());
app.post('/', (req, res) => {
    const reqData = req.body;
    const deviceId = reqData.device;
    let occupantName = 'unknown';
    const location = reqData.name;
    if (deviceId in config.dict.occupants) {
        occupantName = config.dict.occupants[deviceId];
    }
    const direction = (reqData.entry == '1') ? 'arrives at' : 'leaves from';
    logger.info(`${deviceId} (${occupantName}) ${direction} ${location}`);
    logger.info(JSON.stringify(reqData));
    res.send('OK');
});
const server = app.listen(8000, '', () => {
    logger.info('geofences server listening');
});
//# sourceMappingURL=main.js.map